Skip to main content
PUT
/
api
/
agents
/
{id}
Update agent
curl --request PUT \
  --url https://api.agentixx.io/api/agents/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <api-key>' \
  --cookie better-auth.session_token= \
  --data '
{
  "name": "Updated Support Agent",
  "instructions": "Be concise and helpful."
}
'
{}

Authorizations

better-auth.session_token
string
cookie
required

Session cookie set by Better Auth on sign-in.

x-tenant-id
string
header
required

Tenant/workspace UUID. Required on all /api/* endpoints.

Path Parameters

id
string<uuid>
required

Body

application/json

Update an AI agent configuration

name
string
Minimum string length: 1
role
string
model
string
instructions
string | null
isActive
boolean
knowledgeDocs
any[]
toolIds
string[]
handoffDescription
string | null
tone
string
answerLength
string

Response

Agent updated

{key}
any